summaryrefslogtreecommitdiff
path: root/dev-python/boto3
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-03-08 10:58:28 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-03-08 10:58:28 +0000
commit347da451c3dbda069bfbfafea33476334d6dd1c2 (patch)
tree9b9cbfe7fca4f26451d12ec4ff52f46c679c2287 /dev-python/boto3
parent1c85d1705f0ada109728ba38e08b5a2576fb0951 (diff)
downloadbaldeagleos-repo-347da451c3dbda069bfbfafea33476334d6dd1c2.tar.gz
baldeagleos-repo-347da451c3dbda069bfbfafea33476334d6dd1c2.tar.xz
baldeagleos-repo-347da451c3dbda069bfbfafea33476334d6dd1c2.zip
Adding metadata
Diffstat (limited to 'dev-python/boto3')
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.37.9.ebuild53
2 files changed, 54 insertions, 0 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 338d814624e9..48b1d5fde140 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -5,3 +5,4 @@ DIST boto3-1.37.5.gh.tar.gz 909313 BLAKE2B d31bd1ed08c60f351012a8b3711e43f7e4fb7
DIST boto3-1.37.6.gh.tar.gz 910085 BLAKE2B de054f37bcf8d4cb01febbb7f874bb0fdfd3d812cfd103c4f8df14c6d74238c22ad37a604d638913021643421319ea4840beb028d663750b9fe543f535c610b1 SHA512 3b7b3e494b3be986a0f43ca6229cc2638821e7215533a118571c1d941a9790ed568e389e117807eceae8f8be2d202ea28341aec62af51fe4fb698c25bbdff147
DIST boto3-1.37.7.gh.tar.gz 910852 BLAKE2B d32da4acee41352d282340b23615c4ddf3039337c7e3e4796ec8f70dcd86c37475f18567a12948cf761086f2ecc79b9eb7c55aa49c14540c36adc217cb77947d SHA512 474bdda6028a555343edc3f9a5ac657ae0b9441cc94f4956f7246f6da97c3ecb6f9bce7381c61e8b46869e38f102b7895615eb1582f7ecfeb1959a95b24da027
DIST boto3-1.37.8.gh.tar.gz 911511 BLAKE2B 76c5789f8ff6f214a26e3c5cda143f20c6a7b4c293b6992c73e351d7da3e814f138ca7c8f45501eae7d41a62f56e28f00c7d90336a3210bdf5580e0aff62282d SHA512 ee0d5d9256d8fbe846c6992df9d64bdeacfbf0bb30ad08b5e1cd79ba6349bb917812dff88b3b0fb2883b23455a882e01a3c4029511947cf675d261329fa73eb5
+DIST boto3-1.37.9.gh.tar.gz 911836 BLAKE2B d190525b9c5e39b445042aba6d8e57da5e49165775901ceebe44b76fd2780ec85a2f5a8a08d3a9a5e451d42bbae19b679e565a7a9acc663258ea0b7909a9a798 SHA512 12cba48d5f2c158b372eaf4e44903e22ca963e5712c3c463fbfd20626a771efe30530852b6c9ab70132a26472ff1b4656095675a5de37524f6b489c25175f8fe
diff --git a/dev-python/boto3/boto3-1.37.9.ebuild b/dev-python/boto3/boto3-1.37.9.ebuild
new file mode 100644
index 000000000000..dfe05b3d9a81
--- /dev/null
+++ b/dev-python/boto3/boto3-1.37.9.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.11.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}